The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Релиз GNU autoconf 2.69"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз GNU autoconf 2.69"  +/
Сообщение от opennews (??) on 25-Апр-12, 11:01 
Представлена (http://lists.gnu.org/archive/html/autotools-announce/2012-04...) новая версия пакета GNU Autoconf 2.65 (http://www.gnu.org/software/autoconf/), в котором поставляется набор M4-макросов для создания скриптов автоконфугурации для сборки приложений в различных Unix-подобных системах (на основе подготовленного шаблона выполняется генерации скрипта "configure").


В новой версии устранено несколько регрессивных изменений, появившихся в прошлых выпусках, значительно улучшена поддержка языка Fortran,  добавлен новый макрос AC_HEADER_CHECK_STDBOOL, добавлена поддержка языка программирования Go (добавлен макрос AC_LANG_GO). Устранены недоработки с лицензией на документацию, что обеспечило совместимость документации autoconf с main-репозиторием Debian. Поднято требование к минимальной версии Perl, необходимой для генерации файла configure. Отныне необходимо наличие как минимум Perl 5.6 (для работы configure по прежнему нужен только shell).

URL: http://lists.gnu.org/archive/html/autotools-announce/2012-04...
Новость: http://www.opennet.ru/opennews/art.shtml?num=33683

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по ответам | RSS]

2. "Релиз GNU autoconf 2.69"  –1 +/
Сообщение от Аноним (??) on 25-Апр-12, 11:43 
Крутая штука, но cmake как больше повернут лицом к людям.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Релиз GNU autoconf 2.69"  +/
Сообщение от Аноним (??) on 25-Апр-12, 13:33 
> Крутая штука, но cmake как больше повернут лицом к людям.

А autotools больше ориентирован на разработчиков :)

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Релиз GNU autoconf 2.69"  –1 +/
Сообщение от Аноним (??) on 25-Апр-12, 13:46 
Уже нет смысла в новых фичах этого монстра, все новые проекты на cmake, да и старые бегут от autocrap при первой возможности.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "Релиз GNU autoconf 2.69"  –1 +/
Сообщение от Аноним (??) on 25-Апр-12, 15:36 
> все новые проекты на cmake

Ну да, для helloworld cmake еще годится. А вот на серьезных проектах сливает, поэтому autotools идет во все поля.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

7. "Релиз GNU autoconf 2.69"  +1 +/
Сообщение от Eugene.Shiyanov on 25-Апр-12, 16:12 
ну если KDE для вас - helloworld, то что для вас серьезный проект?
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

10. "Релиз GNU autoconf 2.69"  +/
Сообщение от Аноним (??) on 25-Апр-12, 17:39 
> ну если KDE для вас - helloworld, то что для вас серьезный проект?

Нехорошо смеяться над людьми, совершившими ошибку.
В частности, использовавшим в крупном проекте систему сборки, пригодную только для приветмира.

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

11. "Релиз GNU autoconf 2.69"  +1 +/
Сообщение от Аноним (??) on 25-Апр-12, 18:00 
> Крутая штука, но cmake как больше повернут лицом к людям.

Довольно криво детектит наличие компонентов + для сборки требует си++ компилер который есть не всегда и не везде. Странное какое-то лицо в общем.

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

13. "Релиз GNU autoconf 2.69"  –4 +/
Сообщение от Аноним (??) on 25-Апр-12, 21:40 
> Довольно криво детектит наличие компонентов

Напротив, детектит идеально, из коробки и на любых системах. Для autocrap приходится либо указывать CPPFLAGS/LDFLAGS, либо патчить configure (lua на freebsd, например).

> для сборки требует си++ компилер который есть не всегда и не везде

Там где его нет, и собирать ничего не нужно.

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

15. "Релиз GNU autoconf 2.69"  +1 +/
Сообщение от Аноним (??) on 25-Апр-12, 21:41 
> Нехорошо смеяться над людьми, совершившими ошибку.
> В частности, использовавшим в крупном проекте систему сборки, пригодную только для приветмира.

Толсто.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

21. "Релиз GNU autoconf 2.69"  +/
Сообщение от Аноним (??) on 25-Апр-12, 23:48 
> Напротив, детектит идеально, из коробки и на любых системах.

autotools? Да, единственное решение, детектящее наличие компонентов без лишних костылей. Не то, что cmake.

>> для сборки требует си++ компилер который есть не всегда и не везде
> Там где его нет, и собирать ничего не нужно.

Ага, эмбеддовка на чистых сях, например :)
Давайте в компилятор крестов вкорячим, а то без него слишком скучно и легковесно. И пару фреймворков до кучи, ага.

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

25. "Релиз GNU autoconf 2.69"  +/
Сообщение от kshetragia (ok) on 26-Апр-12, 06:08 
Ошибку они совершили раньше когда юзали autotools.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

28. "Релиз GNU autoconf 2.69"  +/
Сообщение от vle (ok) on 26-Апр-12, 17:19 
Любопытным на обоср^wобсудить, если такие найдутся.

https://github.com/cheusov/mk-configure
http://sf.net/projects/mk-configure

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору


Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру